local OVALE, Ovale = ...
local OvaleScripts = Ovale.OvaleScripts

do
	local name = "ovale_druid_spells"
	local desc = "[6.2] Ovale: Druid spells"

	local code = [[
# Druid spells and functions.
Define(ashamanes_bite 210702)
Define(ashamanes_rip_debuff 224435)
Define(armor_skills 76275)
Define(astral_communion 202359)
Define(berserk_cat 106951)
	SpellInfo(berserk_cat cd=180 gcd=0)
	SpellInfo(berserk_cat buff_cdr=cooldown_reduction_agility_buff specialization=feral)
	SpellAddBuff(berserk_cat berserk_cat_buff=1)
Define(berserk_cat_buff 106951)
	SpellInfo(berserk_cat duration=15)
Define(blessing_of_elune 202737)
Define(blessing_of_elune_buff 202737)
Define(bloodtalons 155672)
Define(bloodtalons_buff 145152)
	SpellInfo(bloodtalons_buff duration=30 max_stacks=2)
Define(astral_influence 197524)
Define(barkskin 22812)
Define(bear_form 5487)
Define(berserk 106951)
Define(blessing_of_the_ancients 202360)
Define(bristling_fur 155835)
	SpellInfo(bristling_fur cd=30 gcd=0 offgcd=1)
	SpellAddBuff(bristling_fur bristling_fur_buff=1)
Define(brutal_slash 202028)
Define(cat_form 768)
Define(celestial_alignment 194223)
Define(celestial_alignment_buff 194223)
Define(clearcasting_buff 16870)
Define(cold_weather_flying 54197)
Define(dash 1850)
Define(displacer_beast 102280)
Define(displacer_beast_buff 137452)
Define(elunes_guidance 202060)
Define(elunes_guidance_buff 202060)
Define(elusiveness 21009)
Define(entangling_roots 339)
Define(feline_swiftness 131768)
Define(feral_instinct 16949)
Define(ferocious_bite 22568)
Define(flight_masters_license 90267)
Define(force_of_nature 205636)
Define(frenzied_regeneration 22842)
	SpellInfo(frenzied_regeneration cd=1.5 cd_haste=melee gcd=0 max_rage=60 rage=finisher stance=druid_bear_form)
	SpellInfo(frenzied_regeneration buff_energy_half=savage_defense_buff itemset=T18 itemcount=4 specialization=guardian)
	SpellAddBuff(frenzied_regeneration primal_mending_buff=0 itemset=T17 itemcount=4 specialization=guardian)
Define(frenzied_regeneration_buff 22842)
Define(fury_of_elue 202770) #Typo in simulationcraft
Define(fury_of_elune 202770)
Define(fury_of_elune_talent 19)
Define(fury_of_elune_up_buff 202770)
Define(full_moon 202771)	
Define(half_moon 202768)
Define(gore 210706)
Define(growl 6795)
Define(healing_touch 5185)
Define(incapacitating_roar 99)
Define(incarnation_chosen_of_elune 102560)
Define(incarnation_chosen_of_elune_buff 102560)
Define(incarnation_king_of_the_jungle 102543)
Define(incarnation_king_of_the_jungle_buff 102543)
Define(incarnation_son_of_ursoc 102558)
Define(lunar_empowerment_buff 164547)
Define(infected_wounds 48484)
Define(innervate 29166)
Define(ironfur 192081)
Define(ironfur_buff 192081)
Define(lacerate 33745)
	SpellInfo(lacerate rage=-2 stance=druid_bear_form)
	SpellAddBuff(lacerate bloodtalons_buff=-1 if_spell=bloodtalons)
	SpellAddTargetDebuff(lacerate lacerate_debuff=1)
Define(lacerate_debuff 33745)
	SpellInfo(lacerate_debuff duration=15 max_stacks=3 tick=3)
Define(languages 76252)
Define(lunar_beam 204066)
Define(lunar_strike 194153)
	SpellInfo(lunar_strike lunarpower=-10)
Define(lunar_strike 197628)
Define(maim 22570)
Define(mangle 33917)
Define(mark_of_ursol 192083)
Define(mass_entanglement 102359)
Define(master_riding 90265)
Define(mastery_natures_guardian 155783)
Define(mastery_razor_claws 77493)
Define(mastery_starlight 77492)
Define(maul 6807)
Define(mighty_bash 5211)
Define(moonfire 8921)
Define(moonfire_cat 155625)
Define(moonfire_debuff 164812)
Define(moonfire_dmg_debuff 164812)
Define(moonkin_form 24858)
Define(new_moon 202767)
Define(nature_resistance 20583)
Define(omen_of_clarity 16864)
Define(predatory_swiftness 16974)
Define(predatory_swiftness_buff 16974)
Define(primal_fury 159286)
Define(prowl 5215)
Define(prowl_buff 5215)
Define(pulverize 80313)
	SpellRequire(pulverize unusable 1=target_debuff,!lacerate_debuff,3)
	SpellAddBuff(pulverize pulverize_buff=1)
	SpellAddTargetDebuff(pulverize lacerate_debuff=0)
Define(pulverize_buff 158792)
	SpellInfo(pulverize_buff duration=12 tick=1)
Define(quickness 20582)
Define(rake 1822)
Define(rake_debuff 1822)
Define(rebirth 20484)
Define(regrowth 8936)
Define(rejuvenation 774)
Define(remove_corruption 2782)
Define(renewal 108238)
Define(revive_battle_pets 125439)
Define(revive 50769)
Define(rip 1079)
Define(savage_roar 52610)
Define(savage_roar_buff 52610)
Define(solar_empowerment_buff 164545)
Define(shadowmeld 58984)
Define(shred 5221)
Define(skull_bash 106839)
Define(solar_beam 78675)
Define(solar_wrath 190984)
Define(stampeding_roar 77761)
Define(starfall 191034)
Define(starsurge 197626)
Define(starsurge 78674)
Define(stellar_flare 152221)
	SpellAddTargetDebuff(stellar_flare stellar_flare_debuff=1)
Define(stellar_flare_debuff 152221)
	SpellInfo(stellar_flare_debuff duration=24 haste=spell tick=2)
Define(sunfire 93402)
Define(sunfire_dmg_debuff 164815)
Define(survival_instincts 61336)
Define(swiftmend 18562)
Define(swipe_cat 106785)
Define(t18_class_trinket 184877)
Define(teleport_moonglade 18960)
Define(thick_hide 16931)
Define(tigers_fury 5217)
Define(tigers_fury_buff 5217)
Define(thrash_bear 77758)
Define(thrash_cat 106830)
Define(thrash_cat_debuff 106830)
Define(touch_of_elune 154748)
Define(travel_form 783)
Define(typhoon 132469)
Define(warrior_of_elune 202425)
Define(warrior_of_elune_buff 202425)
Define(weapon_skills 76300)
Define(wild_charge 102401)
Define(wild_charge_bear 102401)
Define(wild_charge_cat 102401)
Define(wisdom_of_the_four_winds 115913)
Define(wisp_spirit 20585)
Define(yseras_gift 145108)

Define(astral_communion_talent 17)
Define(balance_affinity_talent 7)
Define(blessing_of_the_ancients_talent 18)
Define(blood_scent_talent 2)
Define(bloodtalons_talent 20)
Define(brutal_slash_talent 19)
Define(displacer_beast_talent 5)
Define(elunes_guidance_talent 18)
Define(feral_affinity_talent 7)
Define(force_of_nature_talent 1)
Define(fury_of_elune_talent 19)
Define(guardian_affinity_talent 8)
Define(incarnation_talent 14)
Define(jagged_wounds_talent 17)
Define(lunar_inspiration_talent 3)
Define(mass_entanglement_talent 11)
Define(mighty_bash_talent 10)
Define(moment_of_clarity_talent 21)
Define(natures_balance_talent 21)
Define(predator_talent 1)
Define(pulverize_talent 21)
Define(renewal_talent 4)
Define(restoration_affinity_talent 9)
Define(sabertooth_talent 16)
Define(savage_roar_talent 15)
Define(shooting_stars_talent 16)
Define(soul_of_the_forest_talent 13)
Define(starlord_talent 3)
Define(stellar_drift_talent 20)
Define(stellar_flare_talent 15)
Define(typhoon_talent 12)
Define(warrior_of_elune_talent 2)
Define(wild_charge_talent 6)
	]]
	OvaleScripts:RegisterScript("DRUID", nil, name, desc, code, "include")
end
